#!/usr/bin/python3

from shutil         import copyfile

from functions      import g_file_apache2_conf_tmp, g_file_apache2_conf, g_file_cs_settings
from database       import SettingsDB
from vpn_constants  import *

####################################################################
# Create a real apache config from a template by adding the proper
# define.
def create_apache2_config():
  c_apache2_variables_start = 'VARIABLES:START'
  with open(g_file_apache2_conf_tmp, "r") as conf_tmp_r:
    with open(g_file_apache2_conf, "w") as conf_w:
      for line in conf_tmp_r:
        conf_w.write(line)
        if c_apache2_variables_start in line:
          s = SettingsDB(g_file_cs_settings)
          conf_w.write('  define CS_DOMAIN_NAME ' + s.get_value("CS_DOMAIN_NAME") + '\n')

####################################################################
####################################################################
          
print('Migrating apache config from 1.1.0 to 1.1.1')

# Move the new template to apache's dir.
copyfile("resources/vpnportal-ssl.conf.template", g_file_apache2_conf_tmp)

# Create a real apache config from a template by adding
# the proper defines.
create_apache2_config()
