<?php

namespace AppBundle\Controller\Ajax;

use AppBundle\Api\CsServerSettings;
use AppBundle\Entity\User;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Class AjaxAppManagementController
 * @package AppBundle\Controller\Ajax
 */
class AjaxAppManagementController extends AjaxBaseController
{

    /**
     * Render Ajax page.
     *
     * @Route("ajax/app-service-management", options={"expose"=true}, name="app_ajax_service_management")
     * @Method({"POST"})
     *
     * @param Request $request
     *
     * @return Response
     */
    public function ajaxDeleteAction(Request $request){

        //If is not ajax
        if(!$request->isXmlHttpRequest()){

            return new Response('Bad Request', 400);

        }

        $this->denyAccessUnlessGranted(User::ROLE_SYSTEM_ADMIN);

        $data = json_decode($request->getContent(), true);
        $request->request->replace($data);

        $service = $request->request->get('service');
        $action = $request->request->get('action');

        if($service === 'cs'){
            $serviceName = 'CS Daemon';
            $service = CsServerSettings::SERVICE_CS_DAEMON;
        }elseif($service === 'ds'){
            $serviceName = 'DS Daemon';
            $service = CsServerSettings::SERVICE_DS_DAEMON;
        }elseif ($service === 'rw'){
            $serviceName = 'Roadwarrior';
            $service = CsServerSettings::SERVICE_ROADWARRIOR;
        }else{
            throw new \Exception('Service type is not supported.');
        }

        try{

            $this->apiServerSettings->manageService($service, $action);

            $data = array('status' => 'success', 'msg' => 'State of service "'. $serviceName .'" was successfully changed.');


        }catch (\Exception $e){

            $data = array('status' => 'failed', 'msg' => $e->getMessage());

        }

        return new JsonResponse($data);

    }

}