<?php
namespace AppBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;

class DeviceFwRules extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options){

        $builder
            ->add('defaultFwIncomingPolicy',ChoiceType::class, array(
                'horizontal_input_wrapper_class' => "col-lg-2",
                'horizontal_label_class' => 'col-md-3',
                'label' => 'Default Incoming Policy',
                'widget_form_group_attr' => array('class'=>'form-group incoming-policy'),
                'choices' => array(
                    'Allow' => '0',
                    'Deny' => '1',
                ),

            ))
            ->add('incomingAcceptFwRules',CollectionType::class, array(
                'entry_type' => DeviceFwRule::class,
                'label' => 'Incoming Allow Rules',
                'widget_type' => 'inline',
                'allow_add' => true,
                'allow_delete' => true, // should render default button, change text with widget_remove_btn
                'prototype' => true,
                'horizontal' => true,
                //'label_render' => false,
                'horizontal_label_class' => 'col-md-3',
                'widget_form_group_attr' => array('class'=>'form-group fw-policy incoming-accept'),
                'widget_add_btn' => array(
                    'label' => "Add rule",
                    "icon" => "plus",
                    'attr' => array('class' => 'btn btn-success'),
                ),
                'entry_options' => array(
                    'horizontal_input_wrapper_class' => "col-lg-9 form-group",
                    'horizontal_label_offset_class' => '',
                    'label_render' => false,

                    'widget_remove_btn' => array(
                        'label' => "Remove",
                        'horizontal_wrapper_div' => array(
                            'class' => "col-lg-2 network-fw-remove"
                        ),
                        "icon" => "remove",
                        'attr' => array('class' => 'btn btn-danger'),
                        'wrapper_div'  => false,
                    ),
                )
            ))
            ->add('incomingDropFwRules',CollectionType::class, array(
                'entry_type' => DeviceFwRule::class,
                'label' => 'Incoming Deny Rules',
                'widget_type' => 'inline',
                'allow_add' => true,
                'allow_delete' => true, // should render default button, change text with widget_remove_btn
                'prototype' => true,
                'horizontal' => true,
                'widget_form_group_attr' => array('class'=>'form-group fw-policy incoming-drop'),
                //'label_render' => false,
                'horizontal_label_class' => 'col-md-3',
                'widget_add_btn' => array(
                    'label' => "Add rule",
                    "icon" => "plus",
                    'attr' => array('class' => 'btn btn-success'),
                ),
                'entry_options' => array(
                    'horizontal_input_wrapper_class' => "col-lg-9 form-group",
                    'horizontal_label_offset_class' => '',
                    'label_render' => false,

                    'widget_remove_btn' => array(
                        'label' => "Remove",
                        'horizontal_wrapper_div' => array(
                            'class' => "col-lg-2 network-fw-remove"
                        ),
                        "icon" => "remove",
                        'attr' => array('class' => 'btn btn-danger'),
                        'wrapper_div'  => false,
                    ),
                )
            ))
            ->add('defaultFwOutgoingPolicy',ChoiceType::class, array(
                'horizontal_input_wrapper_class' => "col-lg-2",
                'horizontal_label_class' => 'col-md-3',
                'widget_form_group_attr' => array('class'=>'form-group fw-policy-bold'),
                'label' => 'Default Outgoing Policy',
                'choices' => array(
                    'Allow' => '0',
                    'Deny' => '1',
                ),

            ))
            ->add('outgoingAcceptFwRules',CollectionType::class, array(
                'entry_type' => DeviceFwRule::class,
                'label' => 'Outgoing Allow Rules',
                'widget_type' => 'inline',
                'allow_add' => true,
                'allow_delete' => true, // should render default button, change text with widget_remove_btn
                'prototype' => true,
                'horizontal' => true,
                'horizontal_label_class' => 'col-md-3',
                'widget_form_group_attr' => array('class'=>'form-group fw-policy outgoing-accept'),
                'widget_add_btn' => array(
                    'label' => "Add rule",
                    "icon" => "plus",
                    'attr' => array('class' => 'btn btn-success'),
                ),
                'entry_options' => array(
                    'horizontal_input_wrapper_class' => "col-lg-9 form-group",
                    'horizontal_label_offset_class' => '',
                    'label_render' => false,

                    'widget_remove_btn' => array(
                        'label' => "Remove",
                        'horizontal_wrapper_div' => array(
                            'class' => "col-lg-2 network-fw-remove"
                        ),
                        "icon" => "remove",
                        'attr' => array('class' => 'btn btn-danger'),
                        'wrapper_div'  => false,
                    ),
                )
            ))
            ->add('outgoingDropFwRules',CollectionType::class, array(
                'entry_type' => DeviceFwRule::class,
                'label' => 'Outgoing Deny Rules',
                'widget_type' => 'inline',
                'allow_add' => true,
                'allow_delete' => true, // should render default button, change text with widget_remove_btn
                'prototype' => true,
                'horizontal' => true,
                'horizontal_label_class' => 'col-md-3',
                'widget_form_group_attr' => array('class'=>'form-group fw-policy outgoing-drop'),
                'widget_add_btn' => array(
                    'label' => "Add rule",
                    "icon" => "plus",
                    'attr' => array('class' => 'btn btn-success'),
                ),
                'entry_options' => array(
                    'horizontal_input_wrapper_class' => "col-lg-9 form-group",
                    'horizontal_label_offset_class' => '',
                    'label_render' => false,

                    'widget_remove_btn' => array(
                        'label' => "Remove",
                        'horizontal_wrapper_div' => array(
                            'class' => "col-lg-2 network-fw-remove"
                        ),
                        "icon" => "remove",
                        'attr' => array('class' => 'btn btn-danger'),
                        'wrapper_div'  => false,
                    ),
                )
            ))

            ->add('save', SubmitType::class, ['label' => 'Save', 'attr' => array('class' => 'btn btn-success')])
            ->add('apply', SubmitType::class, ['label' => 'Apply', 'attr' => array('class' => 'btn btn-primary')]);

    }


    /**
     * @return string|null
     */

    public function getBlockPrefix(){

        return 'device_fw_rules';

    }

}
