<?php

namespace AppBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\ButtonType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;

class DeviceGeneral extends AbstractType
{

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options){

        /** @var \AppBundle\Api\Device $apiDevice */
        //apiDevice = $options['apiDevice'];
        //$deviceId = $options['deviceId'];

        $authorizationChecker = $options['authorizationChecker'];



        if($authorizationChecker->isGranted('ROLE_DEVICE_ADMIN')){

            $builder->add('name', TextType::class, array('required' => false));
            $builder->add('disable', ButtonType::class, array());
            $builder->add('enable', ButtonType::class, array());
            $builder->add('delete', ButtonType::class, array());


        }

        $builder->add('save', SubmitType::class, ['label' => 'Save', 'attr' => array('class' => 'btn btn-success')])
                ->add('apply', SubmitType::class, ['label' => 'Apply', 'attr' => array('class' => 'btn btn-primary')]);

    }

    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver){

        $resolver->setRequired('apiDevice');
        $resolver->setRequired('validated_disabled');
        //$resolver->setRequired('deviceId');
        $resolver->setRequired('authorizationChecker');

    }

}